<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.ortube</groupId>
        <artifactId>ortube-reactor</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>ortube-test-coverage-report</artifactId>
    <version>0.0.1-SNAPSHOT</version>

    <properties>
        <main.basedir>${project.parent.basedir}</main.basedir>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.ortube</groupId>
            <artifactId>ortube-persistence</artifactId>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.ortube</groupId>
            <artifactId>ortube-service</artifactId>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.ortube</groupId>
            <artifactId>ortube-web</artifactId>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
                <executions>
                    <execution>
                        <id>jacoco-test-coverage</id>
                        <phase>test</phase>
                        <goals>
                            <goal>report-aggregate</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>